uses tools, SysUtils;

var
  i: int;

begin
  randseed := 12;
  for i := 0 to 9 do
  begin
    add('0' + inttostr(i));
    add('0' + inttostr(i));
  end;
  for i := 0 to 39 do
  begin
    addn(i);
    addn(i);
  end;
  shuffle;
  done;
end.